/* eslint-disable */
/**柯礼钦
 * 4/6/2020, 5:17:40 PM
 * doc comment for the file goes here
 */

/** 工作制度 */
import React, { ReactNode, ReactEventHandler, Component } from 'react';
import { Button, Modal, Tabs, List, Avatar } from 'antd';
import TableView from '../../../common/TableView';
import SearchFormView from '../../../common/SearchFormView';
import moment from 'moment';

import './index.scss';
const { TabPane } = Tabs;

export default class RulesList extends Component {
  constructor(props) {
    super(props);
    this.config = {
    };
    this.state = {
      formData: {
        __key: Date.now(),
        type: '',
        title: '',
        page: 1,
        size: 10,
        visible: false//modal的可视化状态
      },
    };
  }

  componentWillMount() { }

  componentDidMount() { }

  link = (id) => {
    console.log(id)
    this.props.history.push({ pathname: "/document/detail/" + id });
  }

  emoveTAG = (str) => {
    return str.replace(/<[^>]+>/g, "");
  }

  renderColumns = () => {
    return [
      { title: '标题', dataIndex: 'documentTitle' },
      {
        title: '通知内容', dataIndex: 'documentContent', width: '40%', ellipsis: true, render: (cur, item) => {
          return cur ? this.emoveTAG(cur) : '无'
        }
      },
      { title: '接受情况', dataIndex: 'groupType', render: (cur, item) => <a onClick={() => { this.setState({ visible: true }) }}> <span>{item.readNumber || 0}/{item.noticeNumber || 0}</span></a> },
      { title: '发布时间', dataIndex: 'createTime', render: (cur, item) => cur !== "" && cur != null ? moment(cur).format("YYYY-MM-DD HH:mm") : "" },
      { title: '操作', render: (text, record) => <a onClick={() => this.link(record.id)}>查看</a> }
    ];
  }

  setFormData = data => {
    console.log('form', data);
    this.setState({
      formData: data,
    });
  }

  render() {
    const { formData, visible } = this.state;

    let tableParams = {
      url: `api/document/getNotice`,
      formData,
      key: formData.__key,
      columns: this.renderColumns(),
      extraFromData: {
        type: 'DT00001',
      },
      setFormData: this.setFormData
    }
    return (
      <div className="rules-list-main">
        <Modal
          visible={visible}
          onCancel={() => this.setState({ visible: false })}
          footer={null}
          title="接收情况"
        >
          <Tabs defaultActiveKey="1" >
            <TabPane tab="未读" key="1">
              <div className="modal-list">
                {
                  [1,2,3].map((a)=>(
                    <div className="flex-box-row align-center modal-list-item" >
                      <Avatar src="https://zos.alipayobjects.com/rmsportal/ODTLcjxAfvqbxHnVXCYX.png" />
                      <span className="modal-label">柯礼钦</span>
                      <span className="modal-time">2010-10-10 24:00</span>
                    </div>
                  ))
                }
              </div>
            </TabPane>
            <TabPane tab="已读" key="2">
            </TabPane>
          </Tabs>

        </Modal>
        <SearchFormView
          formData={formData}
          setFormData={this.setFormData}
          data={[
            { type: 'input', name: '标题', label: '标题', key: 'documentTitle' },
            {
              type: 'rangePicker',
              label: '发布时间',
              name: JSON.stringify(['开始时间', '结束时间']),
              key: JSON.stringify(['startTime', 'endTime']),
              keylistName: 'rangeTimelist',
            },
          ]} />
        <TableView {...tableParams} />
      </div>
    )
  }
}

